commit fa92e118453b036b60b20ff1f703687f4d63af77
Author: Romain Tartière <romain@blogreen.org>
Date:   Fri Sep 17 15:35:39 2021 -1000

    Pet rubocop

diff --git a/spec/classes/bridges_spec.rb b/spec/classes/bridges_spec.rb
index 9c04f46..bf467dc 100644
--- a/spec/classes/bridges_spec.rb
+++ b/spec/classes/bridges_spec.rb
@@ -14,7 +14,7 @@ describe 'nftables' do
                   'lo' => {},
                   'br0' => {},
                   'br1-2' => {},
-                } },
+                } }
           )
         end
 
@@ -24,7 +24,7 @@ describe 'nftables' do
         it {
           is_expected.to contain_nftables__rule('default_fwd-bridge_br0_br0').with(
             order: '08',
-            content: 'iifname br0 oifname br0 accept',
+            content: 'iifname br0 oifname br0 accept'
           )
         }
 
@@ -32,7 +32,7 @@ describe 'nftables' do
         it {
           is_expected.to contain_nftables__rule('default_fwd-bridge_br1_br1').with(
             order: '08',
-            content: 'iifname br1 oifname br1 accept',
+            content: 'iifname br1 oifname br1 accept'
           )
         }
       end
diff --git a/spec/classes/dnat4_spec.rb b/spec/classes/dnat4_spec.rb
index 5e9bdf9..d68c2e6 100644
--- a/spec/classes/dnat4_spec.rb
+++ b/spec/classes/dnat4_spec.rb
@@ -56,28 +56,28 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-header').with(
             target:  'nftables-inet-filter-chain-default_fwd',
             content: %r{^chain default_fwd \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-rule-jump_ingoing').with(
             target:  'nftables-inet-filter-chain-default_fwd',
             content: %r{^  iifname eth0 oifname eth1 jump ingoing$},
-            order:   '20-nftables-inet-filter-chain-default_fwd-rule-jump_ingoing-b',
+            order:   '20-nftables-inet-filter-chain-default_fwd-rule-jump_ingoing-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-footer').with(
             target:  'nftables-inet-filter-chain-default_fwd',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
 
@@ -85,42 +85,42 @@ describe 'nftables' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-ingoing-header').with(
             target:  'nftables-inet-filter-chain-ingoing',
             content: %r{^chain ingoing \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-ingoing-rule-http').with(
             target:  'nftables-inet-filter-chain-ingoing',
             content: %r{^  ip daddr 192.0.2.2 tcp dport http accept$},
-            order:   '10-nftables-inet-filter-chain-ingoing-rule-http-b',
+            order:   '10-nftables-inet-filter-chain-ingoing-rule-http-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-ingoing-rule-https').with(
             target:  'nftables-inet-filter-chain-ingoing',
             content: %r{^  ip daddr 192.0.2.2 tcp dport https accept$},
-            order:   '10-nftables-inet-filter-chain-ingoing-rule-https-b',
+            order:   '10-nftables-inet-filter-chain-ingoing-rule-https-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-ingoing-rule-http_alt').with(
             target:  'nftables-inet-filter-chain-ingoing',
             content: %r{^  iifname eth0 ip daddr 192.0.2.2 tcp dport 8000 accept$},
-            order:   '10-nftables-inet-filter-chain-ingoing-rule-http_alt-b',
+            order:   '10-nftables-inet-filter-chain-ingoing-rule-http_alt-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-ingoing-rule-wireguard').with(
             target:  'nftables-inet-filter-chain-ingoing',
             content: %r{^  iifname eth0 ip daddr 192.0.2.3 udp dport 51820 accept$},
-            order:   '10-nftables-inet-filter-chain-ingoing-rule-wireguard-b',
+            order:   '10-nftables-inet-filter-chain-ingoing-rule-wireguard-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-ingoing-footer').with(
             target:  'nftables-inet-filter-chain-ingoing',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
 
@@ -130,63 +130,63 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-header').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^chain PREROUTING \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-type').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  type nat hook prerouting priority -100$},
-            order:   '01-nftables-ip-nat-chain-PREROUTING-rule-type-b',
+            order:   '01-nftables-ip-nat-chain-PREROUTING-rule-type-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-policy').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip-nat-chain-PREROUTING-rule-policy-b',
+            order:   '02-nftables-ip-nat-chain-PREROUTING-rule-policy-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-http').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  tcp dport http dnat to 192.0.2.2$},
-            order:   '10-nftables-ip-nat-chain-PREROUTING-rule-http-b',
+            order:   '10-nftables-ip-nat-chain-PREROUTING-rule-http-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-https').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  tcp dport https dnat to 192.0.2.2$},
-            order:   '10-nftables-ip-nat-chain-PREROUTING-rule-https-b',
+            order:   '10-nftables-ip-nat-chain-PREROUTING-rule-https-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-http_alt').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  iifname eth0 tcp dport 8080 dnat to 192.0.2.2:8000$},
-            order:   '10-nftables-ip-nat-chain-PREROUTING-rule-http_alt-b',
+            order:   '10-nftables-ip-nat-chain-PREROUTING-rule-http_alt-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-wireguard').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  iifname eth0 udp dport 51820 dnat to 192.0.2.3$},
-            order:   '10-nftables-ip-nat-chain-PREROUTING-rule-wireguard-b',
+            order:   '10-nftables-ip-nat-chain-PREROUTING-rule-wireguard-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-footer').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
       end
diff --git a/spec/classes/inet_filter_spec.rb b/spec/classes/inet_filter_spec.rb
index 02cf5a9..b083dfd 100644
--- a/spec/classes/inet_filter_spec.rb
+++ b/spec/classes/inet_filter_spec.rb
@@ -15,7 +15,7 @@ describe 'nftables' do
           ensure: 'present',
           owner:  'root',
           group:  'root',
-          mode:   '0640',
+          mode:   '0640'
         )
       }
 
@@ -23,14 +23,14 @@ describe 'nftables' do
         is_expected.to contain_concat__fragment('nftables-inet-filter-header').with(
           target:  'nftables-inet-filter',
           content: %r{^table inet filter \{$},
-          order:   '00',
+          order:   '00'
         )
       }
 
       it {
         is_expected.to contain_concat__fragment('nftables-inet-filter-body').with(
           target:  'nftables-inet-filter',
-          order:   '98',
+          order:   '98'
         )
       }
 
@@ -38,7 +38,7 @@ describe 'nftables' do
         is_expected.to contain_concat__fragment('nftables-inet-filter-footer').with(
           target:  'nftables-inet-filter',
           content: %r{^\}$},
-          order:   '99',
+          order:   '99'
         )
       }
 
@@ -49,84 +49,84 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-header').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^chain INPUT \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-type').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  type filter hook input priority 0$},
-            order:   '01-nftables-inet-filter-chain-INPUT-rule-type-b',
+            order:   '01-nftables-inet-filter-chain-INPUT-rule-type-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-policy').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  policy drop$},
-            order:   '02-nftables-inet-filter-chain-INPUT-rule-policy-b',
+            order:   '02-nftables-inet-filter-chain-INPUT-rule-policy-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-lo').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  iifname lo accept$},
-            order:   '03-nftables-inet-filter-chain-INPUT-rule-lo-b',
+            order:   '03-nftables-inet-filter-chain-INPUT-rule-lo-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-jump_global').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  jump global$},
-            order:   '04-nftables-inet-filter-chain-INPUT-rule-jump_global-b',
+            order:   '04-nftables-inet-filter-chain-INPUT-rule-jump_global-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-accept_established_related').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  ct state established,related accept$},
-            order:   '05-nftables-inet-filter-chain-INPUT-rule-accept_established_related-b',
+            order:   '05-nftables-inet-filter-chain-INPUT-rule-accept_established_related-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-drop_invalid').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  ct state invalid drop$},
-            order:   '06-nftables-inet-filter-chain-INPUT-rule-drop_invalid-b',
+            order:   '06-nftables-inet-filter-chain-INPUT-rule-drop_invalid-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-jump_default_in').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  jump default_in$},
-            order:   '10-nftables-inet-filter-chain-INPUT-rule-jump_default_in-b',
+            order:   '10-nftables-inet-filter-chain-INPUT-rule-jump_default_in-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  limit rate 3/minute burst 5 packets log prefix \"\[nftables\] INPUT Rejected: \" flags all counter$},
-            order:   '97-nftables-inet-filter-chain-INPUT-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-INPUT-rule-log_discarded-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-reject').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  reject with icmpx type port-unreachable$},
-            order:   '98-nftables-inet-filter-chain-INPUT-rule-reject-b',
+            order:   '98-nftables-inet-filter-chain-INPUT-rule-reject-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-footer').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
 
@@ -136,28 +136,28 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_in-header').with(
             target:  'nftables-inet-filter-chain-default_in',
             content: %r{^chain default_in \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_in-footer').with(
             target:  'nftables-inet-filter-chain-default_in',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_in-rule-ssh').with(
             target:  'nftables-inet-filter-chain-default_in',
             content: %r{^  tcp dport \{22\} accept$},
-            order:   '50-nftables-inet-filter-chain-default_in-rule-ssh-b',
+            order:   '50-nftables-inet-filter-chain-default_in-rule-ssh-b'
           )
         }
         it {
@@ -172,84 +172,84 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-header').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^chain OUTPUT \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-type').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  type filter hook output priority 0$},
-            order:   '01-nftables-inet-filter-chain-OUTPUT-rule-type-b',
+            order:   '01-nftables-inet-filter-chain-OUTPUT-rule-type-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-policy').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  policy drop$},
-            order:   '02-nftables-inet-filter-chain-OUTPUT-rule-policy-b',
+            order:   '02-nftables-inet-filter-chain-OUTPUT-rule-policy-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-lo').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  oifname lo accept$},
-            order:   '03-nftables-inet-filter-chain-OUTPUT-rule-lo-b',
+            order:   '03-nftables-inet-filter-chain-OUTPUT-rule-lo-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-jump_global').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  jump global$},
-            order:   '04-nftables-inet-filter-chain-OUTPUT-rule-jump_global-b',
+            order:   '04-nftables-inet-filter-chain-OUTPUT-rule-jump_global-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-accept_established_related').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  ct state established,related accept$},
-            order:   '05-nftables-inet-filter-chain-OUTPUT-rule-accept_established_related-b',
+            order:   '05-nftables-inet-filter-chain-OUTPUT-rule-accept_established_related-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-drop_invalid').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  ct state invalid drop$},
-            order:   '06-nftables-inet-filter-chain-OUTPUT-rule-drop_invalid-b',
+            order:   '06-nftables-inet-filter-chain-OUTPUT-rule-drop_invalid-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-jump_default_out').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  jump default_out$},
-            order:   '10-nftables-inet-filter-chain-OUTPUT-rule-jump_default_out-b',
+            order:   '10-nftables-inet-filter-chain-OUTPUT-rule-jump_default_out-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  limit rate 3/minute burst 5 packets log prefix \"\[nftables\] OUTPUT Rejected: \" flags all counter$},
-            order:   '97-nftables-inet-filter-chain-OUTPUT-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-OUTPUT-rule-log_discarded-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-reject').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  reject with icmpx type port-unreachable$},
-            order:   '98-nftables-inet-filter-chain-OUTPUT-rule-reject-b',
+            order:   '98-nftables-inet-filter-chain-OUTPUT-rule-reject-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-footer').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
 
@@ -259,56 +259,56 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-header').with(
             target:  'nftables-inet-filter-chain-default_out',
             content: %r{^chain default_out \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-footer').with(
             target:  'nftables-inet-filter-chain-default_out',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnsudp').with(
             target:  'nftables-inet-filter-chain-default_out',
             content: %r{^  udp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnsudp-b',
+            order:   '50-nftables-inet-filter-chain-default_out-rule-dnsudp-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnstcp').with(
             target:  'nftables-inet-filter-chain-default_out',
             content: %r{^  tcp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnstcp-b',
+            order:   '50-nftables-inet-filter-chain-default_out-rule-dnstcp-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-chrony').with(
             target:  'nftables-inet-filter-chain-default_out',
             content: %r{^  udp dport 123 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-chrony-b',
+            order:   '50-nftables-inet-filter-chain-default_out-rule-chrony-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-http').with(
             target:  'nftables-inet-filter-chain-default_out',
             content: %r{^  tcp dport 80 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-http-b',
+            order:   '50-nftables-inet-filter-chain-default_out-rule-http-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-https').with(
             target:  'nftables-inet-filter-chain-default_out',
             content: %r{^  tcp dport 443 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-https-b',
+            order:   '50-nftables-inet-filter-chain-default_out-rule-https-b'
           )
         }
         it {
@@ -323,35 +323,35 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-FORWARD-header').with(
             target:  'nftables-inet-filter-chain-FORWARD',
             content: %r{^chain FORWARD \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-FORWARD-rule-type').with(
             target:  'nftables-inet-filter-chain-FORWARD',
             content: %r{^  type filter hook forward priority 0$},
-            order:   '01-nftables-inet-filter-chain-FORWARD-rule-type-b',
+            order:   '01-nftables-inet-filter-chain-FORWARD-rule-type-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-FORWARD-rule-policy').with(
             target:  'nftables-inet-filter-chain-FORWARD',
             content: %r{^  policy drop$},
-            order:   '02-nftables-inet-filter-chain-FORWARD-rule-policy-b',
+            order:   '02-nftables-inet-filter-chain-FORWARD-rule-policy-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-FORWARD-rule-jump_global').with(
             target:  'nftables-inet-filter-chain-FORWARD',
             content: %r{^  jump global$},
-            order:   '03-nftables-inet-filter-chain-FORWARD-rule-jump_global-b',
+            order:   '03-nftables-inet-filter-chain-FORWARD-rule-jump_global-b'
           )
         }
         it {
@@ -364,28 +364,28 @@ describe 'nftables' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-FORWARD-rule-jump_default_fwd').with(
             target:  'nftables-inet-filter-chain-FORWARD',
             content: %r{^  jump default_fwd$},
-            order:   '10-nftables-inet-filter-chain-FORWARD-rule-jump_default_fwd-b',
+            order:   '10-nftables-inet-filter-chain-FORWARD-rule-jump_default_fwd-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-FORWARD-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-FORWARD',
             content: %r{^  limit rate 3/minute burst 5 packets log prefix \"\[nftables\] FORWARD Rejected: \" flags all counter$},
-            order:   '97-nftables-inet-filter-chain-FORWARD-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-FORWARD-rule-log_discarded-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-FORWARD-rule-reject').with(
             target:  'nftables-inet-filter-chain-FORWARD',
             content: %r{^  reject with icmpx type port-unreachable$},
-            order:   '98-nftables-inet-filter-chain-FORWARD-rule-reject-b',
+            order:   '98-nftables-inet-filter-chain-FORWARD-rule-reject-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-FORWARD-footer').with(
             target:  'nftables-inet-filter-chain-FORWARD',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
 
@@ -395,21 +395,21 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-header').with(
             target:  'nftables-inet-filter-chain-default_fwd',
             content: %r{^chain default_fwd \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-footer').with(
             target:  'nftables-inet-filter-chain-default_fwd',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
       end
@@ -421,14 +421,14 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-global-header').with(
             target:  'nftables-inet-filter-chain-global',
             content: %r{^chain global \{$},
-            order:   '00',
+            order:   '00'
           )
         }
       end
@@ -440,21 +440,21 @@ describe 'nftables' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  limit rate 3/minute burst 5 packets log prefix \"test " flags all counter$},
-            order:   '97-nftables-inet-filter-chain-INPUT-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-INPUT-rule-log_discarded-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  limit rate 3/minute burst 5 packets log prefix \"test " flags all counter$},
-            order:   '97-nftables-inet-filter-chain-OUTPUT-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-OUTPUT-rule-log_discarded-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-FORWARD-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-FORWARD',
             content: %r{^  limit rate 3/minute burst 5 packets log prefix \"test " flags all counter$},
-            order:   '97-nftables-inet-filter-chain-FORWARD-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-FORWARD-rule-log_discarded-b'
           )
         }
       end
@@ -466,21 +466,21 @@ describe 'nftables' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  limit rate 3/minute burst 5 packets log prefix \" bar \[INPUT\] " flags all counter$},
-            order:   '97-nftables-inet-filter-chain-INPUT-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-INPUT-rule-log_discarded-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  limit rate 3/minute burst 5 packets log prefix \" bar \[OUTPUT\] " flags all counter$},
-            order:   '97-nftables-inet-filter-chain-OUTPUT-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-OUTPUT-rule-log_discarded-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-FORWARD-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-FORWARD',
             content: %r{^  limit rate 3/minute burst 5 packets log prefix \" bar \[FORWARD\] " flags all counter$},
-            order:   '97-nftables-inet-filter-chain-FORWARD-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-FORWARD-rule-log_discarded-b'
           )
         }
       end
@@ -496,21 +496,21 @@ describe 'nftables' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  log prefix \"\[nftables\] INPUT Rejected: \" flags all counter$},
-            order:   '97-nftables-inet-filter-chain-INPUT-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-INPUT-rule-log_discarded-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  log prefix \"\[nftables\] OUTPUT Rejected: \" flags all counter$},
-            order:   '97-nftables-inet-filter-chain-OUTPUT-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-OUTPUT-rule-log_discarded-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-FORWARD-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-FORWARD',
             content: %r{^  log prefix \"\[nftables\] FORWARD Rejected: \" flags all counter$},
-            order:   '97-nftables-inet-filter-chain-FORWARD-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-FORWARD-rule-log_discarded-b'
           )
         }
       end
@@ -526,21 +526,21 @@ describe 'nftables' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  limit rate 5/minute log prefix \"\[nftables\] INPUT Rejected: \" flags all counter$},
-            order:   '97-nftables-inet-filter-chain-INPUT-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-INPUT-rule-log_discarded-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  limit rate 5/minute log prefix \"\[nftables\] OUTPUT Rejected: \" flags all counter$},
-            order:   '97-nftables-inet-filter-chain-OUTPUT-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-OUTPUT-rule-log_discarded-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-FORWARD-rule-log_discarded').with(
             target:  'nftables-inet-filter-chain-FORWARD',
             content: %r{^  limit rate 5/minute log prefix \"\[nftables\] FORWARD Rejected: \" flags all counter$},
-            order:   '97-nftables-inet-filter-chain-FORWARD-rule-log_discarded-b',
+            order:   '97-nftables-inet-filter-chain-FORWARD-rule-log_discarded-b'
           )
         }
       end
@@ -583,21 +583,21 @@ describe 'nftables' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-reject').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  reject with tcp reset$},
-            order:   '98-nftables-inet-filter-chain-INPUT-rule-reject-b',
+            order:   '98-nftables-inet-filter-chain-INPUT-rule-reject-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-OUTPUT-rule-reject').with(
             target:  'nftables-inet-filter-chain-OUTPUT',
             content: %r{^  reject with tcp reset$},
-            order:   '98-nftables-inet-filter-chain-OUTPUT-rule-reject-b',
+            order:   '98-nftables-inet-filter-chain-OUTPUT-rule-reject-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-FORWARD-rule-reject').with(
             target:  'nftables-inet-filter-chain-FORWARD',
             content: %r{^  reject with tcp reset$},
-            order:   '98-nftables-inet-filter-chain-FORWARD-rule-reject-b',
+            order:   '98-nftables-inet-filter-chain-FORWARD-rule-reject-b'
           )
         }
       end
diff --git a/spec/classes/ip_nat_spec.rb b/spec/classes/ip_nat_spec.rb
index e8389ef..fb89c30 100644
--- a/spec/classes/ip_nat_spec.rb
+++ b/spec/classes/ip_nat_spec.rb
@@ -15,7 +15,7 @@ describe 'nftables' do
           ensure: 'present',
           owner:  'root',
           group:  'root',
-          mode:   '0640',
+          mode:   '0640'
         )
       }
 
@@ -23,7 +23,7 @@ describe 'nftables' do
         is_expected.to contain_concat__fragment('nftables-ip-nat-header').with(
           target:  'nftables-ip-nat',
           content: %r{^table ip nat \{$},
-          order:   '00',
+          order:   '00'
         )
       }
 
@@ -31,7 +31,7 @@ describe 'nftables' do
         is_expected.to contain_concat__fragment('nftables-ip-nat-body').with(
           target:  'nftables-ip-nat',
           content: %r{^\s+include "ip-nat-chain-\*\.nft"$},
-          order:   '98',
+          order:   '98'
         )
       }
 
@@ -39,7 +39,7 @@ describe 'nftables' do
         is_expected.to contain_concat__fragment('nftables-ip-nat-footer').with(
           target:  'nftables-ip-nat',
           content: %r{^\}$},
-          order:   '99',
+          order:   '99'
         )
       }
 
@@ -49,7 +49,7 @@ describe 'nftables' do
           ensure: 'present',
           owner:  'root',
           group:  'root',
-          mode:   '0640',
+          mode:   '0640'
         )
       }
 
@@ -57,7 +57,7 @@ describe 'nftables' do
         is_expected.to contain_concat__fragment('nftables-ip6-nat-header').with(
           target:  'nftables-ip6-nat',
           content: %r{^table ip6 nat \{$},
-          order:   '00',
+          order:   '00'
         )
       }
 
@@ -65,7 +65,7 @@ describe 'nftables' do
         is_expected.to contain_concat__fragment('nftables-ip6-nat-body').with(
           target:  'nftables-ip6-nat',
           content: %r{^\s+include "ip6-nat-chain-\*\.nft"$},
-          order:   '98',
+          order:   '98'
         )
       }
 
@@ -73,7 +73,7 @@ describe 'nftables' do
         is_expected.to contain_concat__fragment('nftables-ip6-nat-footer').with(
           target:  'nftables-ip6-nat',
           content: %r{^\}$},
-          order:   '99',
+          order:   '99'
         )
       }
 
@@ -84,35 +84,35 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-header').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^chain PREROUTING \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-type').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  type nat hook prerouting priority -100$},
-            order:   '01-nftables-ip-nat-chain-PREROUTING-rule-type-b',
+            order:   '01-nftables-ip-nat-chain-PREROUTING-rule-type-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-policy').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip-nat-chain-PREROUTING-rule-policy-b',
+            order:   '02-nftables-ip-nat-chain-PREROUTING-rule-policy-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-footer').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
       end
@@ -124,35 +124,35 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-header').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^chain POSTROUTING \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-type').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  type nat hook postrouting priority 100$},
-            order:   '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b',
+            order:   '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-policy').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b',
+            order:   '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-footer').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
       end
@@ -164,35 +164,35 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip6-nat-chain-PREROUTING6-header').with(
             target:  'nftables-ip6-nat-chain-PREROUTING6',
             content: %r{^chain PREROUTING6 \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip6-nat-chain-PREROUTING6-rule-type').with(
             target:  'nftables-ip6-nat-chain-PREROUTING6',
             content: %r{^  type nat hook prerouting priority -100$},
-            order:   '01-nftables-ip6-nat-chain-PREROUTING6-rule-type-b',
+            order:   '01-nftables-ip6-nat-chain-PREROUTING6-rule-type-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip6-nat-chain-PREROUTING6-rule-policy').with(
             target:  'nftables-ip6-nat-chain-PREROUTING6',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip6-nat-chain-PREROUTING6-rule-policy-b',
+            order:   '02-nftables-ip6-nat-chain-PREROUTING6-rule-policy-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip6-nat-chain-PREROUTING6-footer').with(
             target:  'nftables-ip6-nat-chain-PREROUTING6',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
       end
@@ -204,35 +204,35 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip6-nat-chain-POSTROUTING6-header').with(
             target:  'nftables-ip6-nat-chain-POSTROUTING6',
             content: %r{^chain POSTROUTING6 \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip6-nat-chain-POSTROUTING6-rule-type').with(
             target:  'nftables-ip6-nat-chain-POSTROUTING6',
             content: %r{^  type nat hook postrouting priority 100$},
-            order:   '01-nftables-ip6-nat-chain-POSTROUTING6-rule-type-b',
+            order:   '01-nftables-ip6-nat-chain-POSTROUTING6-rule-type-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip6-nat-chain-POSTROUTING6-rule-policy').with(
             target:  'nftables-ip6-nat-chain-POSTROUTING6',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip6-nat-chain-POSTROUTING6-rule-policy-b',
+            order:   '02-nftables-ip6-nat-chain-POSTROUTING6-rule-policy-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip6-nat-chain-POSTROUTING6-footer').with(
             target:  'nftables-ip6-nat-chain-POSTROUTING6',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
       end
@@ -251,7 +251,7 @@ describe 'nftables' do
             ensure: 'present',
             owner:  'root',
             group:  'root',
-            mode:   '0640',
+            mode:   '0640'
           )
         }
       end
diff --git a/spec/classes/masquerade_spec.rb b/spec/classes/masquerade_spec.rb
index 31195cc..297e0e2 100644
--- a/spec/classes/masquerade_spec.rb
+++ b/spec/classes/masquerade_spec.rb
@@ -40,70 +40,70 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-header').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^chain POSTROUTING \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-type').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  type nat hook postrouting priority 100$},
-            order:   '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b',
+            order:   '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-policy').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b',
+            order:   '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth0').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  oifname eth0 masquerade$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth0-b',
+            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth0-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth1_vpn').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  oifname eth1 ip saddr 192\.0\.2\.0\/24 masquerade$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth1_vpn-b',
+            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth1_vpn-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  ip saddr 192\.0\.2\.0\/24 ip daddr 198.51.100.2 tcp dport 22 masquerade$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh-b',
+            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh_gitlab').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  ip saddr 192\.0\.2\.0\/24 ip daddr 198.51.100.2 tcp dport 22 masquerade$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh_gitlab-b',
+            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh_gitlab-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_wireguard').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  udp dport 51820 masquerade$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_wireguard-b',
+            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_wireguard-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-footer').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
       end
diff --git a/spec/classes/nftables_spec.rb b/spec/classes/nftables_spec.rb
index 84e2e2d..8ddb91e 100644
--- a/spec/classes/nftables_spec.rb
+++ b/spec/classes/nftables_spec.rb
@@ -17,7 +17,7 @@ describe 'nftables' do
           owner:  'root',
           group:  'root',
           mode:   '0640',
-          content: %r{flush ruleset},
+          content: %r{flush ruleset}
         )
       }
 
@@ -29,7 +29,7 @@ describe 'nftables' do
           mode:    '0750',
           purge:   true,
           force:   true,
-          recurse: true,
+          recurse: true
         )
       }
 
@@ -39,7 +39,7 @@ describe 'nftables' do
           owner:  'root',
           group:  'root',
           mode:   '0640',
-          content: %r{flush ruleset},
+          content: %r{flush ruleset}
         )
       }
 
@@ -51,14 +51,14 @@ describe 'nftables' do
           mode:    '0750',
           purge:   true,
           force:   true,
-          recurse: true,
+          recurse: true
         )
       }
 
       it {
         is_expected.to contain_exec('nft validate').with(
           refreshonly: true,
-          command: %r{^/usr/sbin/nft -I /etc/nftables/puppet-preflight -c -f /etc/nftables/puppet-preflight.nft.*},
+          command: %r{^/usr/sbin/nft -I /etc/nftables/puppet-preflight -c -f /etc/nftables/puppet-preflight.nft.*}
         )
       }
 
@@ -67,20 +67,20 @@ describe 'nftables' do
           ensure: 'running',
           enable: true,
           hasrestart: true,
-          restart: %r{/usr/bin/systemctl reload nft.*},
+          restart: %r{/usr/bin/systemctl reload nft.*}
         )
       }
 
       it {
         is_expected.to contain_systemd__dropin_file('puppet_nft.conf').with(
-          content: %r{^ExecReload=/sbin/nft -I /etc/nftables/puppet -f /etc/sysconfig/nftables.conf$},
+          content: %r{^ExecReload=/sbin/nft -I /etc/nftables/puppet -f /etc/sysconfig/nftables.conf$}
         )
       }
 
       it {
         is_expected.to contain_service('firewalld').with(
           ensure: 'stopped',
-          enable: 'mask',
+          enable: 'mask'
         )
       }
       it { is_expected.to contain_class('nftables::inet_filter') }
@@ -124,7 +124,7 @@ describe 'nftables' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-web_accept').with(
             target:  'nftables-inet-filter-chain-INPUT',
             content: %r{^  iifname eth0 tcp dport \{ 80, 443 \} accept$},
-            order:   '50-nftables-inet-filter-chain-INPUT-rule-web_accept-b',
+            order:   '50-nftables-inet-filter-chain-INPUT-rule-web_accept-b'
           )
         }
       end
@@ -149,14 +149,14 @@ describe 'nftables' do
           is_expected.to contain_nftables__set('testset1').with(
             type: 'ipv4_addr',
             gc_interval: 2,
-            table: 'inet-filter',
+            table: 'inet-filter'
           )
         }
         it {
           is_expected.to contain_nftables__set('testset2').with(
             type: 'ipv6_addr',
             elements: ['2a02:62:c601::dead:beef'],
-            table: 'inet-filter',
+            table: 'inet-filter'
           )
         }
       end
@@ -171,7 +171,7 @@ describe 'nftables' do
         it {
           is_expected.to contain_service('firewalld').with(
             ensure: 'stopped',
-            enable: false,
+            enable: false
           )
         }
       end
diff --git a/spec/classes/router_spec.rb b/spec/classes/router_spec.rb
index d3ccf81..9021def 100644
--- a/spec/classes/router_spec.rb
+++ b/spec/classes/router_spec.rb
@@ -36,35 +36,35 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-header').with(
             target:  'nftables-inet-filter-chain-default_fwd',
             content: %r{^chain default_fwd \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-rule-out').with(
             target:  'nftables-inet-filter-chain-default_fwd',
             content: %r{^  iifname eth1 oifname eth0 accept$},
-            order:   '20-nftables-inet-filter-chain-default_fwd-rule-out-b',
+            order:   '20-nftables-inet-filter-chain-default_fwd-rule-out-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-rule-drop').with(
             target:  'nftables-inet-filter-chain-default_fwd',
             content: %r{^  iifname eth0 drop$},
-            order:   '90-nftables-inet-filter-chain-default_fwd-rule-drop-b',
+            order:   '90-nftables-inet-filter-chain-default_fwd-rule-drop-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-footer').with(
             target:  'nftables-inet-filter-chain-default_fwd',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
 
@@ -74,35 +74,35 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-header').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^chain PREROUTING \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-type').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  type nat hook prerouting priority -100$},
-            order:   '01-nftables-ip-nat-chain-PREROUTING-rule-type-b',
+            order:   '01-nftables-ip-nat-chain-PREROUTING-rule-type-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-policy').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip-nat-chain-PREROUTING-rule-policy-b',
+            order:   '02-nftables-ip-nat-chain-PREROUTING-rule-policy-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-footer').with(
             target:  'nftables-ip-nat-chain-PREROUTING',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
 
@@ -112,42 +112,42 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-header').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^chain POSTROUTING \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-type').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  type nat hook postrouting priority 100$},
-            order:   '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b',
+            order:   '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-policy').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b',
+            order:   '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  oifname eth0 masquerade$},
-            order:   '20-nftables-ip-nat-chain-POSTROUTING-rule-masquerade-b',
+            order:   '20-nftables-ip-nat-chain-POSTROUTING-rule-masquerade-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-footer').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
       end
diff --git a/spec/classes/rules/docker_ce_spec.rb b/spec/classes/rules/docker_ce_spec.rb
index 34fd146..c0c2629 100644
--- a/spec/classes/rules/docker_ce_spec.rb
+++ b/spec/classes/rules/docker_ce_spec.rb
@@ -17,19 +17,19 @@ describe 'nftables::rules::docker_ce' do
         it {
           is_expected.to contain_nftables__chain('DOCKER-nat').with(
             chain: 'DOCKER',
-            table: 'ip-nat',
+            table: 'ip-nat'
           )
         }
         it {
           is_expected.to contain_nftables__chain('OUTPUT-nat').with(
             chain: 'OUTPUT',
-            table: 'ip-nat',
+            table: 'ip-nat'
           )
         }
         it {
           is_expected.to contain_nftables__chain('INPUT-nat').with(
             chain: 'INPUT',
-            table: 'ip-nat',
+            table: 'ip-nat'
           )
         }
         it { is_expected.to contain_nftables__rule('DOCKER_ISOLATION_STAGE_1-iifname').with_content('iifname "docker0" oifname != "docker0" counter jump DOCKER_ISOLATION_STAGE_2') }
@@ -47,40 +47,40 @@ describe 'nftables::rules::docker_ce' do
         it {
           is_expected.to contain_nftables__rule('POSTROUTING-docker').with(
             content: 'oifname != "docker0" ip saddr 172.17.0.0/16 counter masquerade',
-            table: 'ip-nat',
+            table: 'ip-nat'
           )
         }
         it {
           is_expected.to contain_nftables__rule('PREROUTING-docker').with(
             content: 'fib daddr type local counter jump DOCKER',
-            table: 'ip-nat',
+            table: 'ip-nat'
           )
         }
         it {
           is_expected.to contain_nftables__rule('OUTPUT-jump_docker@ip-nat').with(
             rulename: 'OUTPUT-jump_docker',
             content: 'ip daddr != 127.0.0.0/8 fib daddr type local counter jump DOCKER',
-            table: 'ip-nat',
+            table: 'ip-nat'
           )
         }
         it {
           is_expected.to contain_nftables__rule('DOCKER-counter').with(
             content: 'iifname "docker0" counter return',
-            table: 'ip-nat',
+            table: 'ip-nat'
           )
         }
         it {
           is_expected.to contain_nftables__rule('INPUT-type@ip-nat').with(
             rulename: 'INPUT-type',
             content: 'type nat hook input priority 100',
-            table: 'ip-nat',
+            table: 'ip-nat'
           )
         }
         it {
           is_expected.to contain_nftables__rule('INPUT-policy@ip-nat').with(
             rulename: 'INPUT-policy',
             content: 'policy accept',
-            table: 'ip-nat',
+            table: 'ip-nat'
           )
         }
       end
@@ -142,13 +142,13 @@ describe 'nftables::rules::docker_ce' do
         it {
           is_expected.to contain_nftables__rule('POSTROUTING-docker').with(
             content: 'oifname != "ifdo0" ip saddr 192.168.4.0/24 counter masquerade',
-            table: 'ip-nat',
+            table: 'ip-nat'
           )
         }
         it {
           is_expected.to contain_nftables__rule('DOCKER-counter').with(
             content: 'iifname "ifdo0" counter return',
-            table: 'ip-nat',
+            table: 'ip-nat'
           )
         }
       end
diff --git a/spec/classes/rules/icmp_spec.rb b/spec/classes/rules/icmp_spec.rb
index bb132c4..7ba9885 100644
--- a/spec/classes/rules/icmp_spec.rb
+++ b/spec/classes/rules/icmp_spec.rb
@@ -10,13 +10,13 @@ describe 'nftables::rules::icmp' do
         it {
           is_expected.to contain_nftables__rule('default_in-accept_icmpv4').with(
             content: 'ip protocol icmp accept',
-            order: '10',
+            order: '10'
           )
         }
         it {
           is_expected.to contain_nftables__rule('default_in-accept_icmpv6').with(
             content: 'ip6 nexthdr ipv6-icmp accept',
-            order: '10',
+            order: '10'
           )
         }
       end
@@ -32,19 +32,19 @@ describe 'nftables::rules::icmp' do
         it {
           is_expected.to contain_nftables__rule('default_in-accept_icmpv4_echo_request').with(
             content: 'ip protocol icmp icmp type echo-request limit rate 4/second accept',
-            order: '10',
+            order: '10'
           )
         }
         it {
           is_expected.to contain_nftables__rule('default_in-accept_icmpv4_echo_reply').with(
             content: 'ip protocol icmp icmp type echo-reply accept',
-            order: '10',
+            order: '10'
           )
         }
         it {
           is_expected.to contain_nftables__rule('default_in-accept_icmpv6').with(
             content: 'ip6 nexthdr ipv6-icmp accept',
-            order: '10',
+            order: '10'
           )
         }
       end
@@ -61,25 +61,25 @@ describe 'nftables::rules::icmp' do
         it {
           is_expected.to contain_nftables__rule('default_in-accept_icmpv4_echo_request').with(
             content: 'ip protocol icmp icmp type echo-request limit rate 4/second accept',
-            order: '10',
+            order: '10'
           )
         }
         it {
           is_expected.to contain_nftables__rule('default_in-accept_icmpv4_echo_reply').with(
             content: 'ip protocol icmp icmp type echo-reply accept',
-            order: '10',
+            order: '10'
           )
         }
         it {
           is_expected.to contain_nftables__rule('default_in-accept_icmpv6_echo_reply').with(
             content: 'ip6 nexthdr ipv6-icmp icmpv6 type echo-reply accept',
-            order: '10',
+            order: '10'
           )
         }
         it {
           is_expected.to contain_nftables__rule('default_in-accept_icmpv6_nd_router_advert').with(
             content: 'ip6 nexthdr ipv6-icmp icmpv6 type nd-router-advert accept',
-            order: '10',
+            order: '10'
           )
         }
       end
diff --git a/spec/classes/rules_out_dns_spec.rb b/spec/classes/rules_out_dns_spec.rb
index 156415b..bcf1be2 100644
--- a/spec/classes/rules_out_dns_spec.rb
+++ b/spec/classes/rules_out_dns_spec.rb
@@ -18,14 +18,14 @@ describe 'nftables' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnsudp').with(
             target:  'nftables-inet-filter-chain-default_out',
             content: %r{^  udp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnsudp-b',
+            order:   '50-nftables-inet-filter-chain-default_out-rule-dnsudp-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnstcp').with(
             target:  'nftables-inet-filter-chain-default_out',
             content: %r{^  tcp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnstcp-b',
+            order:   '50-nftables-inet-filter-chain-default_out-rule-dnstcp-b'
           )
         }
       end
@@ -45,14 +45,14 @@ describe 'nftables' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnsudp-0').with(
             target:  'nftables-inet-filter-chain-default_out',
             content: %r{^  ip daddr 192.0.2.1 udp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnsudp-0-b',
+            order:   '50-nftables-inet-filter-chain-default_out-rule-dnsudp-0-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnstcp-0').with(
             target:  'nftables-inet-filter-chain-default_out',
             content: %r{^  ip daddr 192.0.2.1 tcp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnstcp-0-b',
+            order:   '50-nftables-inet-filter-chain-default_out-rule-dnstcp-0-b'
           )
         }
 
@@ -60,14 +60,14 @@ describe 'nftables' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnsudp-1').with(
             target:  'nftables-inet-filter-chain-default_out',
             content: %r{^  ip6 daddr 2001:db8::1 udp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnsudp-1-b',
+            order:   '50-nftables-inet-filter-chain-default_out-rule-dnsudp-1-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_out-rule-dnstcp-1').with(
             target:  'nftables-inet-filter-chain-default_out',
             content: %r{^  ip6 daddr 2001:db8::1 tcp dport 53 accept$},
-            order:   '50-nftables-inet-filter-chain-default_out-rule-dnstcp-1-b',
+            order:   '50-nftables-inet-filter-chain-default_out-rule-dnstcp-1-b'
           )
         }
       end
diff --git a/spec/classes/snat4_spec.rb b/spec/classes/snat4_spec.rb
index 8f8abb0..5826dfa 100644
--- a/spec/classes/snat4_spec.rb
+++ b/spec/classes/snat4_spec.rb
@@ -41,63 +41,63 @@ describe 'nftables' do
             owner:          'root',
             group:          'root',
             mode:           '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-header').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^chain POSTROUTING \{$},
-            order:   '00',
+            order:   '00'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-type').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  type nat hook postrouting priority 100$},
-            order:   '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b',
+            order:   '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-policy').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b',
+            order:   '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-static').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  oifname eth0 snat 198\.51\.100\.1$},
-            order:   '60-nftables-ip-nat-chain-POSTROUTING-rule-static-b',
+            order:   '60-nftables-ip-nat-chain-POSTROUTING-rule-static-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-1_1').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  oifname eth0 ip saddr 192\.0\.2\.2 snat 198\.51\.100\.3$},
-            order:   '61-nftables-ip-nat-chain-POSTROUTING-rule-1_1-b',
+            order:   '61-nftables-ip-nat-chain-POSTROUTING-rule-1_1-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-1_1_smtp').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  ip saddr 192\.0\.2\.2 tcp dport 25 snat 198\.51\.100\.2$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-1_1_smtp-b',
+            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-1_1_smtp-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-1_1_wireguard').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  ip saddr 192\.0\.2\.2 udp dport 51820 snat 198\.51\.100\.2$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-1_1_wireguard-b',
+            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-1_1_wireguard-b'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-footer').with(
             target:  'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^\}$},
-            order:   '99',
+            order:   '99'
           )
         }
       end
diff --git a/spec/defines/chain_spec.rb b/spec/defines/chain_spec.rb
index 37660c2..8c531ec 100644
--- a/spec/defines/chain_spec.rb
+++ b/spec/defines/chain_spec.rb
@@ -22,7 +22,7 @@ describe 'nftables::chain' do
           owner: 'root',
           group: 'root',
           mode: '0640',
-          ensure_newline: true,
+          ensure_newline: true
         )
       }
       it {
@@ -31,21 +31,21 @@ describe 'nftables::chain' do
           source: '/etc/nftables/puppet-preflight/inet-filter-chain-MYCHAIN.nft',
           mode: '0640',
           owner: 'root',
-          group: 'root',
+          group: 'root'
         )
       }
       it {
         is_expected.to contain_concat__fragment('nftables-inet-filter-chain-MYCHAIN-header').with(
           order: '00',
           content: "# Start of fragment order:00 MYCHAIN header\nchain MYCHAIN {",
-          target: 'nftables-inet-filter-chain-MYCHAIN',
+          target: 'nftables-inet-filter-chain-MYCHAIN'
         )
       }
       it {
         is_expected.to contain_concat__fragment('nftables-inet-filter-chain-MYCHAIN-footer').with(
           order: '99',
           content: "# Start of fragment order:99 MYCHAIN footer\n}",
-          target: 'nftables-inet-filter-chain-MYCHAIN',
+          target: 'nftables-inet-filter-chain-MYCHAIN'
         )
       }
 
@@ -62,7 +62,7 @@ describe 'nftables::chain' do
             owner: 'root',
             group: 'root',
             mode: '0640',
-            ensure_newline: true,
+            ensure_newline: true
           )
         }
         it {
@@ -71,21 +71,21 @@ describe 'nftables::chain' do
             source: '/etc/nftables/puppet-preflight/ip6-foo-chain-MYCHAIN.nft',
             mode: '0640',
             owner: 'root',
-            group: 'root',
+            group: 'root'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip6-foo-chain-MYCHAIN-header').with(
             order: '00',
             content: "# Start of fragment order:00 MYCHAIN header\nchain MYCHAIN {",
-            target: 'nftables-ip6-foo-chain-MYCHAIN',
+            target: 'nftables-ip6-foo-chain-MYCHAIN'
           )
         }
         it {
           is_expected.to contain_concat__fragment('nftables-ip6-foo-chain-MYCHAIN-footer').with(
             order: '99',
             content: "# Start of fragment order:99 MYCHAIN footer\n}",
-            target: 'nftables-ip6-foo-chain-MYCHAIN',
+            target: 'nftables-ip6-foo-chain-MYCHAIN'
           )
         }
       end
@@ -100,7 +100,7 @@ describe 'nftables::chain' do
         it {
           is_expected.to contain_nftables__rule('foobar-jump_MYCHAIN').with(
             order: '22',
-            content: 'jump MYCHAIN',
+            content: 'jump MYCHAIN'
           )
         }
         context 'with inject_oif set to alpha and inject_oif set to beta' do
@@ -111,7 +111,7 @@ describe 'nftables::chain' do
           it {
             is_expected.to contain_nftables__rule('foobar-jump_MYCHAIN').with(
               order: '22',
-              content: 'iifname alpha oifname beta jump MYCHAIN',
+              content: 'iifname alpha oifname beta jump MYCHAIN'
             )
           }
         end
diff --git a/spec/defines/config_spec.rb b/spec/defines/config_spec.rb
index 9c69567..f9238c1 100644
--- a/spec/defines/config_spec.rb
+++ b/spec/defines/config_spec.rb
@@ -17,7 +17,7 @@ describe 'nftables::config' do
           is_expected.to contain_concat('nftables-FOO-BAR').with(
             path: '/etc/nftables/puppet-preflight/custom-FOO-BAR.nft',
             ensure_newline: true,
-            mode: '0640',
+            mode: '0640'
           )
         }
         it { is_expected.to contain_file('/etc/nftables/puppet/custom-FOO-BAR.nft') }
@@ -25,7 +25,7 @@ describe 'nftables::config' do
           is_expected.to contain_file('/etc/nftables/puppet/custom-FOO-BAR.nft').with(
             ensure: 'file',
             source: '/etc/nftables/puppet-preflight/custom-FOO-BAR.nft',
-            mode: '0640',
+            mode: '0640'
           )
         }
         it { is_expected.to contain_concat_fragment('nftables-FOO-BAR-header') }
@@ -33,14 +33,14 @@ describe 'nftables::config' do
           is_expected.to contain_concat_fragment('nftables-FOO-BAR-header').with(
             target: 'nftables-FOO-BAR',
             order: '00',
-            content: 'table FOO BAR {',
+            content: 'table FOO BAR {'
           )
         }
         it {
           is_expected.to contain_concat_fragment('nftables-FOO-BAR-body').with(
             target: 'nftables-FOO-BAR',
             order: '98',
-            content: '  include "FOO-BAR-chain-*.nft"',
+            content: '  include "FOO-BAR-chain-*.nft"'
           )
         }
       end
@@ -76,7 +76,7 @@ describe 'nftables::config' do
           is_expected.to contain_concat('nftables-FOO-BAR').with(
             path: '/etc/nftables/puppet-preflight/custom-FOO-BAR.nft',
             ensure_newline: true,
-            mode: '0640',
+            mode: '0640'
           )
         }
         it { is_expected.to contain_file('/etc/nftables/puppet/custom-FOO-BAR.nft') }
@@ -84,7 +84,7 @@ describe 'nftables::config' do
           is_expected.to contain_file('/etc/nftables/puppet/custom-FOO-BAR.nft').with(
             ensure: 'file',
             source: '/etc/nftables/puppet-preflight/custom-FOO-BAR.nft',
-            mode: '0640',
+            mode: '0640'
           )
         }
         it { is_expected.to contain_concat_fragment('nftables-FOO-BAR-header') }
@@ -92,14 +92,14 @@ describe 'nftables::config' do
           is_expected.to contain_concat_fragment('nftables-FOO-BAR-header').with(
             target: 'nftables-FOO-BAR',
             order: '00',
-            content: 'table FOO BAR {',
+            content: 'table FOO BAR {'
           )
         }
         it {
           is_expected.to contain_concat_fragment('nftables-FOO-BAR-body').with(
             target: 'nftables-FOO-BAR',
             order: '98',
-            content: 'strange content',
+            content: 'strange content'
           )
         }
       end
@@ -114,7 +114,7 @@ describe 'nftables::config' do
           is_expected.to contain_concat_fragment('nftables-FOO-BAR-body').with(
             target: 'nftables-FOO-BAR',
             order: '98',
-            source: 'puppet:///modules/foo',
+            source: 'puppet:///modules/foo'
           )
         }
       end
diff --git a/spec/defines/rule_spec.rb b/spec/defines/rule_spec.rb
index c3a5281..5e44c4c 100644
--- a/spec/defines/rule_spec.rb
+++ b/spec/defines/rule_spec.rb
@@ -40,14 +40,14 @@ describe 'nftables::rule' do
             is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE_header').with(
               order: '50-nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-a',
               target: 'nftables-inet-filter-chain-CHAIN_NAME',
-              content: %r{^#.*$},
+              content: %r{^#.*$}
             )
           }
           it {
             is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE').with(
               order: '50-nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-b',
               target: 'nftables-inet-filter-chain-CHAIN_NAME',
-              content: '  port 22 allow',
+              content: '  port 22 allow'
             )
           }
           context 'with optional parameters set' do
@@ -60,7 +60,7 @@ describe 'nftables::rule' do
               is_expected.to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE_header').with(
                 order: '85-nftables-TABLE-chain-CHAIN_NAME-rule-RULE-a',
                 target: 'nftables-TABLE-chain-CHAIN_NAME',
-                content: %r{^#.*$},
+                content: %r{^#.*$}
               )
             }
             it { is_expected.to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE') }
@@ -68,7 +68,7 @@ describe 'nftables::rule' do
               is_expected.to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE').with(
                 order: '85-nftables-TABLE-chain-CHAIN_NAME-rule-RULE-b',
                 target: 'nftables-TABLE-chain-CHAIN_NAME',
-                content: '  port 22 allow',
+                content: '  port 22 allow'
               )
             }
           end
@@ -87,14 +87,14 @@ describe 'nftables::rule' do
             is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE_header').with(
               order: '50-nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-a',
               target: 'nftables-inet-filter-chain-CHAIN_NAME',
-              content: %r{^#.*$},
+              content: %r{^#.*$}
             )
           }
           it {
             is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE').with(
               order: '50-nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-b',
               target: 'nftables-inet-filter-chain-CHAIN_NAME',
-              source: 'puppet:///modules/foo/bar',
+              source: 'puppet:///modules/foo/bar'
             )
           }
           context 'with optional parameters set' do
@@ -107,7 +107,7 @@ describe 'nftables::rule' do
               is_expected.to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE_header').with(
                 order: '85-nftables-TABLE-chain-CHAIN_NAME-rule-RULE-a',
                 target: 'nftables-TABLE-chain-CHAIN_NAME',
-                content: %r{^#.*$},
+                content: %r{^#.*$}
               )
             }
             it { is_expected.to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE') }
@@ -115,7 +115,7 @@ describe 'nftables::rule' do
               is_expected.to contain_concat__fragment('nftables-TABLE-chain-CHAIN_NAME-rule-RULE').with(
                 order: '85-nftables-TABLE-chain-CHAIN_NAME-rule-RULE-b',
                 target: 'nftables-TABLE-chain-CHAIN_NAME',
-                source: 'puppet:///modules/foo/bar',
+                source: 'puppet:///modules/foo/bar'
               )
             }
           end
@@ -138,14 +138,14 @@ describe 'nftables::rule' do
             is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-22_header').with(
               order: '50-nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-22-a',
               target: 'nftables-inet-filter-chain-CHAIN_NAME',
-              content: %r{^#.*$},
+              content: %r{^#.*$}
             )
           }
           it {
             is_expected.to contain_concat__fragment('nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-22').with(
               order: '50-nftables-inet-filter-chain-CHAIN_NAME-rule-RULE-22-b',
               target: 'nftables-inet-filter-chain-CHAIN_NAME',
-              content: '  port 22 allow',
+              content: '  port 22 allow'
             )
           }
         end
diff --git a/spec/defines/set_spec.rb b/spec/defines/set_spec.rb
index 4c28671..40b6964 100644
--- a/spec/defines/set_spec.rb
+++ b/spec/defines/set_spec.rb
@@ -21,7 +21,7 @@ describe 'nftables::set' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
             target:  'nftables-inet-filter',
             content: %r{^  set my_set \{\n    type ipv4_addr\n  \}$}m,
-            order:   '10',
+            order:   '10'
           )
         }
       end
@@ -72,7 +72,7 @@ describe 'nftables::set' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
             target:  'nftables-inet-filter',
             content: %r{^  set my_set \{\n    type ipv6_addr\n    elements = \{ 2001:1458::/32, 2001:1458:1::/48 \}\n  \}$}m,
-            order:   '10',
+            order:   '10'
           )
         }
       end
@@ -92,7 +92,7 @@ describe 'nftables::set' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
             target:  'nftables-inet-filter',
             content: %r{^  set my_set \{\n    type ipv4_addr\n    flags interval, timeout\n    elements = \{ 192.168.0.1/24 \}\n    auto-merge\n  \}$}m,
-            order:   '10',
+            order:   '10'
           )
         }
       end
@@ -111,7 +111,7 @@ describe 'nftables::set' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
             target:  'nftables-inet-filter',
             content: %r{^  set my_set \{\n    type ether_addr\n    elements = \{ aa:bb:cc:dd:ee:ff \}\n    policy memory\n  \}$}m,
-            order:   '10',
+            order:   '10'
           )
         }
       end
@@ -128,7 +128,7 @@ describe 'nftables::set' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
             target:  'nftables-inet-filter',
             content: '  set my_set { }',
-            order:   '10',
+            order:   '10'
           )
         }
       end
@@ -150,7 +150,7 @@ describe 'nftables::set' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-set-my-set').with(
             target:  'nftables-inet-filter',
             content: %r{^  set my-set \{\n    type ether_addr\n  \}$}m,
-            order:   '10',
+            order:   '10'
           )
         }
       end
@@ -169,7 +169,7 @@ describe 'nftables::set' do
           is_expected.to contain_concat__fragment('nftables-ip-nat-set-my_set').with(
             target:  'nftables-ip-nat',
             content: %r{^  set my_set \{\n    type ipv6_addr\n    elements = \{ 2001:1458::1, 2001:1458:1::2 \}\n  \}$}m,
-            order:   '10',
+            order:   '10'
           )
         }
       end
@@ -200,12 +200,12 @@ describe 'nftables::set' do
           is_expected.to contain_concat__fragment('nftables-inet-filter-set-my_set').with(
             target:  'nftables-inet-filter',
             content: %r{^  set my_set \{\n    type ipv6_addr\n    elements = \{ 2001:1458::1, 2001:1458:1::2 \}\n  \}$}m,
-            order:   '10',
+            order:   '10'
           )
           is_expected.to contain_concat__fragment('nftables-ip-nat-set-my_set').with(
             target:  'nftables-ip-nat',
             content: %r{^  set my_set \{\n    type ipv6_addr\n    elements = \{ 2001:1458::1, 2001:1458:1::2 \}\n  \}$}m,
-            order:   '10',
+            order:   '10'
           )
         }
       end
diff --git a/spec/defines/simplerule_spec.rb b/spec/defines/simplerule_spec.rb
index de70b41..ddfce72 100644
--- a/spec/defines/simplerule_spec.rb
+++ b/spec/defines/simplerule_spec.rb
@@ -14,7 +14,7 @@ describe 'nftables::simplerule' do
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
             content: 'accept',
-            order: '50',
+            order: '50'
           )
         }
       end
@@ -59,7 +59,7 @@ describe 'nftables::simplerule' do
         it {
           is_expected.to contain_nftables__rule('default_out-my_big_rule').with(
             content: 'udp sport {444} udp dport {333} ip6 saddr 2001:145c::/32 ip6 daddr 2001:1458::/32 counter accept comment "this is my rule"',
-            order: '50',
+            order: '50'
           )
         }
       end
@@ -76,7 +76,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'tcp sport {1-2} tcp dport {333-334} accept',
+            content: 'tcp sport {1-2} tcp dport {333-334} accept'
           )
         }
       end
@@ -93,7 +93,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'tcp sport {433, 435} tcp dport {333, 335} accept',
+            content: 'tcp sport {433, 435} tcp dport {333, 335} accept'
           )
         }
       end
@@ -109,7 +109,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'tcp sport {555} accept',
+            content: 'tcp sport {555} accept'
           )
         }
       end
@@ -125,7 +125,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'ip version 4 tcp dport {333} accept',
+            content: 'ip version 4 tcp dport {333} accept'
           )
         }
       end
@@ -141,7 +141,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'ip6 version 6 udp dport {33} accept',
+            content: 'ip6 version 6 udp dport {33} accept'
           )
         }
       end
@@ -157,7 +157,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'ip6 version 6 tcp dport {35} accept',
+            content: 'ip6 version 6 tcp dport {35} accept'
           )
         }
       end
@@ -174,7 +174,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'tcp dport {33} ip daddr 192.168.0.1/24 accept',
+            content: 'tcp dport {33} ip daddr 192.168.0.1/24 accept'
           )
         }
       end
@@ -189,7 +189,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'ip6 daddr 2001:1458::1 accept',
+            content: 'ip6 daddr 2001:1458::1 accept'
           )
         }
       end
@@ -204,7 +204,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'ip6 saddr 2001:1458:0000:0000:0000:0000:0000:0003 accept',
+            content: 'ip6 saddr 2001:1458:0000:0000:0000:0000:0000:0003 accept'
           )
         }
       end
@@ -219,7 +219,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'ip saddr 172.16.1.5 accept',
+            content: 'ip saddr 172.16.1.5 accept'
           )
         }
       end
@@ -234,7 +234,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'ip6 daddr @my6_set accept',
+            content: 'ip6 daddr @my6_set accept'
           )
         }
       end
@@ -250,7 +250,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'ip daddr @my4_set accept',
+            content: 'ip daddr @my4_set accept'
           )
         }
       end
@@ -266,7 +266,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'ip6 saddr @my6_set accept',
+            content: 'ip6 saddr @my6_set accept'
           )
         }
       end
@@ -281,7 +281,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'counter accept',
+            content: 'counter accept'
           )
         }
       end
@@ -299,7 +299,7 @@ describe 'nftables::simplerule' do
         it { is_expected.to compile }
         it {
           is_expected.to contain_nftables__rule('default_in-my_default_rule_name').with(
-            content: 'tcp sport {80} counter continue',
+            content: 'tcp sport {80} counter continue'
           )
         }
       end
